<template>
  <div class="flex">
    <div class="m-auto flex flex-col items-center">
      <div class="flex flex-col items-center space-y-8 py-14 sm:py-24 lg:py-32">
        <component
          :is="icon"
          class="mx-auto h-32 w-auto"
        />
        <div class="max-w-xl text-center">
          <h2 class="text-xl font-semibold text-gray-800">
            {{ $t(title) }}
          </h2>
          <div class="mt-2 text-gray-700">
            {{ $t(description) }}
          </div>
        </div>
        <slot />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import type { FunctionalComponent, SVGAttributes } from "vue";

defineProps<{
  icon: FunctionalComponent<SVGAttributes>;
  title: string;
  description: string;
}>();
</script>
